Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type.access
Class ReactionTransformer

    ru.biosoft.access.AbstractTransformer
      |
      +--ru.biosoft.access.support.TagEntryTransformer
            |
            +--ru.biosoft.access.support.BeanInfoEntryTransformer
                  |
                  +--biouml.standard.type.access.ReactionTransformer

public class ReactionTransformer
extends BeanInfoEntryTransformer

pending refine

Constructor Summary
`ReactionTransformer()`

Method Summary
`void` | `init(DataCollection primaryCollection, DataCollection transformedCollection)`
`synchronized DataElement` | `transformInput(DataElement input)` Read Reaction object from Entry object.
`synchronized DataElement` | `transformOutput(DataElement input)` Write Reaction object to Entry object.

Methods inherited from class ru.biosoft.access.support.BeanInfoEntryTransformer
`getEndTag, getStartTag, initCommands`

Methods inherited from class ru.biosoft.access.support.TagEntryTransformer
`addCommand, getInputType, getOutputType, getProcessedObject, readObject, removeCommand, writeObject`

Methods inherited from class ru.biosoft.access.AbstractTransformer
`getPrimaryCollection, getTransformedCollection, isInputType, isOutputType`

Constructor Detail

### ReactionTransformer

    public ReactionTransformer()

Method Detail

### init

    public void init(DataCollection primaryCollection, DataCollection transformedCollection)

### transformInput

    public synchronized DataElement transformInput(DataElement input)
                                             throws java.lang.Exception

  Read Reaction object from Entry object.

### transformOutput

    public synchronized DataElement transformOutput(DataElement input)
                                              throws java.lang.Exception

  Write Reaction object to Entry object.

Association Links

to Class ru.biosoft.access.support.BeanInfoEntryTransformer

to Class ru.biosoft.access.support.BeanInfoEntryTransformer

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM